unit UnitInherited1;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs, 
  sFrameAdapter, StdCtrls, sMemo, sComboBoxes, sTooledit, sCurrencyEdit, sComboEdit, 
  sCurrEdit, sCustomComboEdit, Mask, sEdit, sSpinEdit, sComboBox, sMaskEdit,
  sAlphaListBox, sLabel, ComCtrls, sRichEdit, sButton, sDialogs,
  sCheckListBox, sTreeView;

type
  TFrameInherited1 = class(TFrame)
    sFrameAdapter1: TsFrameAdapter;
    sMemo1: TsMemo;
    sSpinEdit1: TsSpinEdit;
    sEdit1: TsEdit;
    sMaskEdit1: TsMaskEdit;
    sComboBox2: TsComboBox;
    sLabel1: TsLabel;
    sRichEdit1: TsRichEdit;
    sButton1: TsButton;
    sOpenDialog1: TOpenDialog;
    sListBox1: TsListBox;
    sListBox2: TsListBox;
    sCheckListBox2: TsCheckListBox;
    sTreeView1: TsTreeView;
    procedure sButton1Click(Sender: TObject);
    procedure FrameResize(Sender: TObject);
  end;

implementation

uses sVCLUtils;

{$R *.DFM}

procedure TFrameInherited1.sButton1Click(Sender: TObject);
begin
  if sOpenDialog1.Execute then sRichedit1.Lines.LoadFromFile(sOpenDialog1.fileName);
end;

procedure TFrameInherited1.FrameResize(Sender: TObject);
begin
  sTreeView1.Items[0].Expand(True);
end;

end.
